---
title: USBIsochronousOutTransferPacket
slug: Web/API/USBIsochronousOutTransferPacket
tags:
  - API
  - Experimental
  - Interface
  - NeedsExample
  - Reference
  - USBIsochronousOutTransferPacket
  - WebUSB
  - WebUSB API
---
<p>{{draft}}{{securecontext_header}}{{APIRef("WebUSB API")}}</p>

<p>The <code>USBIsochronousOutTransferPacket</code> interface of the <a href="/en-US/docs/Web/API/WebUSB_API" rel="nofollow">WebUSB API</a> is part of the response from a call to the <code>isochronousTransferOut()</code> method of the <code>USBDevice</code> interface. It represents the status of an individual packet from a request to transfer data from the USB host to the USB device over an isochronous endpoint.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("USBIsochronousOutTransferPacket.USBIsochronousOutTransferPacket()")}}</dt>
 <dd>Creates a new <code>USBIsochronousOutTransferPacket</code> object with the provided <code>status</code> and <code>bytesWritten</code> fields.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("USBIsochronousOutTransferPacket.bytesWritten")}}{{readonlyInline}}</dt>
 <dd>Returns the number of bytes from the packet that were sent to the device.</dd>
 <dt>{{domxref("USBIsochronousOutTransferPacket.status")}}{{readonlyInline}}</dt>
 <dd>Returns the status of the transfer request, one of:
 <ul>
  <li><code>"ok"</code> - The transfer was successful.</li>
  <li><code>"stall"</code> - The device indicated an error by generating a stall condition on the endpoint. A stall on an isochronous endpoint does not need to be cleared.</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#usbisochronousouttransferpacket','USBIsochronousOutTransferPacket')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBIsochronousOutTransferPacket")}}</p>
